package org.code4copy;

import java.io.File;
import java.io.IOException;

import org.apache.commons.io.FileUtils;

public class FileMoveExample {

private static void moveDir(){
	File srcDir = new File("C:\\example\\dir1");
	File destDir = new File("C:\\example\\abc");
	try {
		FileUtils.moveDirectory( srcDir, destDir);
	} catch (IOException e) {
		e.printStackTrace();
	}
}

private static void moveFileExample(){
	File srcFile = new File("C:\\example\\abc\\1.txt");
	File destFile = new File("C:\\example\\xyz\\2.txt");
	try {
		FileUtils.moveFile( srcFile, destFile);
	} catch (IOException e) {
		e.printStackTrace();
	}
}

private static void moveFileToDirExample(){
	File srcFile = new File("C:\\example\\xyz\\2.txt");
	File destDir = new File("C:\\example\\abc\\");
	try {
		FileUtils.moveFileToDirectory(srcFile, destDir, true);
	} catch (IOException e) {
		e.printStackTrace();
	}
}

private static void moveFileOrDirToDirExample(){
	File srcFile = new File("C:\\example\\abc\\2.txt");
	File destDir = new File("C:\\example\\xyz\\");
	try {
		FileUtils.moveToDirectory(srcFile, destDir, true);
	} catch (IOException e) {
		e.printStackTrace();
	}
}
	public static void main(String[] args) {
		moveFileOrDirToDirExample();
	}
}
