package org.code4copy;

import java.io.File;
import java.io.IOException;
import java.nio.charset.Charset;

import org.apache.commons.io.FileUtils;

public class ReadingTextFileExample {
	
	private static void readTextFile() throws IOException {
		File file1 = new File("c:\\example\\1.txt");
		String data = FileUtils.readFileToString(file1);
		System.out.println(data);

		data = FileUtils.readFileToString(file1, Charset.forName("utf-8"));
		System.out.println(data);
	}

	public static void main(String[] args) {
		try {
			readTextFile();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
