package org.code4copy;

import java.io.File;
import java.io.IOException;
import java.nio.charset.Charset;

import org.apache.commons.io.FileUtils;

public class StringToFile {

	private static void writeText() throws IOException{
		String data = "Hello! How are you?";
		File dest = new File("C:\\example\\text.txt");
		//With Default encoding and no append
		FileUtils.writeStringToFile(dest, data);
		System.out.println(FileUtils.readFileToString(dest));
		
		//With Default encoding and append true
		FileUtils.writeStringToFile(dest, data, true);
		System.out.println(FileUtils.readFileToString(dest));
		
		//With utf-8 encoding and append true
		FileUtils.writeStringToFile(dest, data, Charset.forName("utf-8"),true);
		System.out.println(FileUtils.readFileToString(dest));
		
	}
	public static void main(String[] args) {
		try {
			writeText();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
}
